Subject: GSOC idea: build in scripts and cleanups

From: Robert David <[email-masked]>
Date: Sat, 26 Mar 2011 01:41:20 +0100

Hi, 

I'm IT student from Czech Republic.
I'm long time user of git and very interested in development participation. 
Having passing your GSOC ideas, keep my eyes on scripts building in and also 
git add -p cleanups. Because I like this kind of work. 

Because there are more thinks to do in the cleanup and rewrite task, I would 
like to ask if there is some priority in these tasks? To let me focus on the 
most important parts. 

I'm experienced in C and shell ( i did a lot of bug fixing in company I worked 
part-time ) and beginner in PERL ( I wrote some scripts but nothing big ). I 
like PERL much, so it is not a problem for me to learn that better.

I was also thinking if there isn't PERL a better choice in rewriting shell 
scripts, due to planed porting (android, etc). Better than C. But I don't know 
android and other platform so much, so thats why I'm asking.

Greets,
Robert David.